### Method

# Gtk AlertDialogget_modal

since: 4.10

#### Declaration [src]

    gboolean
    gtk_alert_dialog_get_modal (
      GtkAlertDialog* self
    )

#### Description [src]

Returns whether the alert blocks interaction with the parent window while it is presented.

Available since: 4.10

Gets property | `Gtk.AlertDialog:modal`

#### Return value

Type: `gboolean`

`TRUE` if the alert is modal.